package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum PatentApplicationFeeStatus {
	
	UNPAID(0, "未缴申请费"),
	PAID(1, "已缴申请费"),
	OTHER(2, "其他");

	private PatentApplicationFeeStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, PatentApplicationFeeStatus> status = new HashMap<Integer, PatentApplicationFeeStatus>();

	static {
		for (PatentApplicationFeeStatus value : PatentApplicationFeeStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static PatentApplicationFeeStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static PatentApplicationFeeStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
